function maketsdlist, basename, n, postfix=postfix, gb=gb

if ( n_elements( postfix ) EQ 0 )then postfix = '.fits'
if ( n_elements( n ) EQ 0 ) then n = 1
if ( n_elements( n ) EQ 1 ) then nn = indgen( n ) else nn = n

n = n_elements( nn )
for k = 0, n-1 do begin
  number = string( nn[k], format='(i3.3)' )
  filename = string( basename, number, postfix, format='(a,i3.3,a)' )
  if ( keyword_set( gb ) ) then begin
    r = gb_run_gb( filename, /rc_noplot, /glitchlist_gp )
    tsdlist = append( tsdlist, Obj_New( 'tsd', INFILE='out.fits' ) )
  endif else $
    tsdlist = append( tsdlist, Obj_New( 'tsd', INFILE=filename ) )
endfor

return, tsdlist
end

; spawn, 'ls <dir>', flist
; for k=0,n_elements(flist)-1 do $
; tsdlist = append( tsdlist, Obj_New( 'tsd', INFILE=<dir>+'/'+flist[k] ) )

; spawn, 'ls FIS*', flist
; for k=0,n_elements(flist)-1 do $
; tsdlist = append( tsdlist, Obj_New( 'tsd', INFILE=flist[k] ) )

